diff --git a/libRTI/ieee1516-2010/RTIambassadorImplementation.h b/libRTI/ieee1516-2010/RTIambassadorImplementation.h
index dec9e95c..1bb9ba66 100644
--- a/libRTI/ieee1516-2010/RTIambassadorImplementation.h
+++ b/libRTI/ieee1516-2010/RTIambassadorImplementation.h
@@ -578,342 +276,131 @@ public:
     // 7.2
     virtual void unconditionalAttributeOwnershipDivestiture(
         rti1516e::ObjectInstanceHandle theObject,
-        rti1516e::AttributeHandleSet const& theAttributes) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                 rti1516e::AttributeNotDefined,
-                                                                 rti1516e::AttributeNotOwned,
-                                                                 rti1516e::FederateNotExecutionMember,
-                                                                 rti1516e::SaveInProgress,
-                                                                 rti1516e::RestoreInProgress,
-                                                                 rti1516e::NotConnected,
-                                                                 rti1516e::RTIinternalError);
+        rti1516e::AttributeHandleSet const& theAttributes);
 
     // 7.3
     virtual void negotiatedAttributeOwnershipDivestiture(
         rti1516e::ObjectInstanceHandle theObject,
         rti1516e::AttributeHandleSet const& theAttributes,
-        rti1516e::VariableLengthData const& theUserSuppliedTag) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                      rti1516e::AttributeNotDefined,
-                                                                      rti1516e::AttributeNotOwned,
-                                                                      rti1516e::AttributeAlreadyBeingDivested,
-                                                                      rti1516e::FederateNotExecutionMember,
-                                                                      rti1516e::SaveInProgress,
-                                                                      rti1516e::RestoreInProgress,
-                                                                      rti1516e::NotConnected,
-                                                                      rti1516e::RTIinternalError);
+        rti1516e::VariableLengthData const& theUserSuppliedTag);
 
     // 7.6
     virtual void confirmDivestiture(
         rti1516e::ObjectInstanceHandle theObject,
         rti1516e::AttributeHandleSet const& confirmedAttributes,
-        rti1516e::VariableLengthData const& theUserSuppliedTag) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                      rti1516e::AttributeNotDefined,
-                                                                      rti1516e::AttributeNotOwned,
-                                                                      rti1516e::AttributeDivestitureWasNotRequested,
-                                                                      rti1516e::NoAcquisitionPending,
-                                                                      rti1516e::FederateNotExecutionMember,
-                                                                      rti1516e::SaveInProgress,
-                                                                      rti1516e::RestoreInProgress,
-                                                                      rti1516e::NotConnected,
-                                                                      rti1516e::RTIinternalError);
+        rti1516e::VariableLengthData const& theUserSuppliedTag);
 
     // 7.8
     virtual void attributeOwnershipAcquisition(
         rti1516e::ObjectInstanceHandle theObject,
         rti1516e::AttributeHandleSet const& desiredAttributes,
-        rti1516e::VariableLengthData const& theUserSuppliedTag) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                      rti1516e::ObjectClassNotPublished,
-                                                                      rti1516e::AttributeNotDefined,
-                                                                      rti1516e::AttributeNotPublished,
-                                                                      rti1516e::FederateOwnsAttributes,
-                                                                      rti1516e::FederateNotExecutionMember,
-                                                                      rti1516e::SaveInProgress,
-                                                                      rti1516e::RestoreInProgress,
-                                                                      rti1516e::NotConnected,
-                                                                      rti1516e::RTIinternalError);
+        rti1516e::VariableLengthData const& theUserSuppliedTag);
 
     // 7.9
     virtual void attributeOwnershipAcquisitionIfAvailable(
         rti1516e::ObjectInstanceHandle theObject,
-        rti1516e::AttributeHandleSet const& desiredAttributes) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                     rti1516e::ObjectClassNotPublished,
-                                                                     rti1516e::AttributeNotDefined,
-                                                                     rti1516e::AttributeNotPublished,
-                                                                     rti1516e::FederateOwnsAttributes,
-                                                                     rti1516e::AttributeAlreadyBeingAcquired,
-                                                                     rti1516e::FederateNotExecutionMember,
-                                                                     rti1516e::SaveInProgress,
-                                                                     rti1516e::RestoreInProgress,
-                                                                     rti1516e::NotConnected,
-                                                                     rti1516e::RTIinternalError);
+        rti1516e::AttributeHandleSet const& desiredAttributes);
 
     // 7.12
     virtual void attributeOwnershipReleaseDenied(
         rti1516e::ObjectInstanceHandle theObject,
-        rti1516e::AttributeHandleSet const& theAttributes) throw(rti1516e::AttributeNotOwned,
-                                                                 rti1516e::AttributeNotDefined,
-                                                                 rti1516e::ObjectInstanceNotKnown,
-                                                                 rti1516e::SaveInProgress,
-                                                                 rti1516e::RestoreInProgress,
-                                                                 rti1516e::FederateNotExecutionMember,
-                                                                 rti1516e::NotConnected,
-                                                                 rti1516e::RTIinternalError);
+        rti1516e::AttributeHandleSet const& theAttributes);
 
     // 7.13
     virtual void
     attributeOwnershipDivestitureIfWanted(rti1516e::ObjectInstanceHandle theObject,
                                           rti1516e::AttributeHandleSet const& theAttributes,
-                                          rti1516e::AttributeHandleSet& theDivestedAttributes) // filled by RTI
-        throw(rti1516e::ObjectInstanceNotKnown,
-              rti1516e::AttributeNotDefined,
-              rti1516e::AttributeNotOwned,
-              rti1516e::FederateNotExecutionMember,
-              rti1516e::SaveInProgress,
-              rti1516e::RestoreInProgress,
-              rti1516e::NotConnected,
-              rti1516e::RTIinternalError);
+                                          rti1516e::AttributeHandleSet& theDivestedAttributes); // filled by RTI
 
     // 7.14
     virtual void cancelNegotiatedAttributeOwnershipDivestiture(
         rti1516e::ObjectInstanceHandle theObject,
-        rti1516e::AttributeHandleSet const& theAttributes) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                 rti1516e::AttributeNotDefined,
-                                                                 rti1516e::AttributeNotOwned,
-                                                                 rti1516e::AttributeDivestitureWasNotRequested,
-                                                                 rti1516e::FederateNotExecutionMember,
-                                                                 rti1516e::SaveInProgress,
-                                                                 rti1516e::RestoreInProgress,
-                                                                 rti1516e::NotConnected,
-                                                                 rti1516e::RTIinternalError);
+        rti1516e::AttributeHandleSet const& theAttributes);
 
     // 7.15
     virtual void cancelAttributeOwnershipAcquisition(
         rti1516e::ObjectInstanceHandle theObject,
-        rti1516e::AttributeHandleSet const& theAttributes) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                 rti1516e::AttributeNotDefined,
-                                                                 rti1516e::AttributeAlreadyOwned,
-                                                                 rti1516e::AttributeAcquisitionWasNotRequested,
-                                                                 rti1516e::FederateNotExecutionMember,
-                                                                 rti1516e::SaveInProgress,
-                                                                 rti1516e::RestoreInProgress,
-                                                                 rti1516e::NotConnected,
-                                                                 rti1516e::RTIinternalError);
+        rti1516e::AttributeHandleSet const& theAttributes);
 
     // 7.17
     virtual void
     queryAttributeOwnership(rti1516e::ObjectInstanceHandle theObject,
-                            rti1516e::AttributeHandle theAttribute) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                          rti1516e::AttributeNotDefined,
-                                                                          rti1516e::FederateNotExecutionMember,
-                                                                          rti1516e::SaveInProgress,
-                                                                          rti1516e::RestoreInProgress,
-                                                                          rti1516e::NotConnected,
-                                                                          rti1516e::RTIinternalError);
+                            rti1516e::AttributeHandle theAttribute);
 
     // 7.18
     virtual bool
     isAttributeOwnedByFederate(rti1516e::ObjectInstanceHandle theObject,
-                               rti1516e::AttributeHandle theAttribute) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                             rti1516e::AttributeNotDefined,
-                                                                             rti1516e::FederateNotExecutionMember,
-                                                                             rti1516e::SaveInProgress,
-                                                                             rti1516e::RestoreInProgress,
-                                                                             rti1516e::NotConnected,
-                                                                             rti1516e::RTIinternalError);
+                               rti1516e::AttributeHandle theAttribute);
 
     //////////////////////////////
     // Time Management Services //
     //////////////////////////////
 
     // 8.2
-    virtual void enableTimeRegulation(rti1516e::LogicalTimeInterval const& theLookahead) throw(
-        rti1516e::TimeRegulationAlreadyEnabled,
-        rti1516e::InvalidLookahead,
-        rti1516e::InTimeAdvancingState,
-        rti1516e::RequestForTimeRegulationPending,
-        rti1516e::FederateNotExecutionMember,
-        rti1516e::SaveInProgress,
-        rti1516e::RestoreInProgress,
-        rti1516e::NotConnected,
-        rti1516e::RTIinternalError);
+    virtual void enableTimeRegulation(rti1516e::LogicalTimeInterval const& theLookahead) ;
 
     // 8.4
-    virtual void disableTimeRegulation() throw(rti1516e::TimeRegulationIsNotEnabled,
-                                               rti1516e::FederateNotExecutionMember,
-                                               rti1516e::SaveInProgress,
-                                               rti1516e::RestoreInProgress,
-                                               rti1516e::NotConnected,
-                                               rti1516e::RTIinternalError);
+    virtual void disableTimeRegulation();
 
     // 8.5
-    virtual void enableTimeConstrained() throw(rti1516e::TimeConstrainedAlreadyEnabled,
-                                               rti1516e::InTimeAdvancingState,
-                                               rti1516e::RequestForTimeConstrainedPending,
-                                               rti1516e::FederateNotExecutionMember,
-                                               rti1516e::SaveInProgress,
-                                               rti1516e::RestoreInProgress,
-                                               rti1516e::NotConnected,
-                                               rti1516e::RTIinternalError);
+    virtual void enableTimeConstrained();
 
     // 8.7
-    virtual void disableTimeConstrained() throw(rti1516e::TimeConstrainedIsNotEnabled,
-                                                rti1516e::FederateNotExecutionMember,
-                                                rti1516e::SaveInProgress,
-                                                rti1516e::RestoreInProgress,
-                                                rti1516e::NotConnected,
-                                                rti1516e::RTIinternalError);
+    virtual void disableTimeConstrained();
 
     // 8.8
     virtual void
-    timeAdvanceRequest(rti1516e::LogicalTime const& theTime) throw(rti1516e::InvalidLogicalTime,
-                                                                   rti1516e::LogicalTimeAlreadyPassed,
-                                                                   rti1516e::InTimeAdvancingState,
-                                                                   rti1516e::RequestForTimeRegulationPending,
-                                                                   rti1516e::RequestForTimeConstrainedPending,
-                                                                   rti1516e::FederateNotExecutionMember,
-                                                                   rti1516e::SaveInProgress,
-                                                                   rti1516e::RestoreInProgress,
-                                                                   rti1516e::NotConnected,
-                                                                   rti1516e::RTIinternalError);
+    timeAdvanceRequest(rti1516e::LogicalTime const& theTime);
 
     // 8.9
     virtual void
-    timeAdvanceRequestAvailable(rti1516e::LogicalTime const& theTime) throw(rti1516e::InvalidLogicalTime,
-                                                                            rti1516e::LogicalTimeAlreadyPassed,
-                                                                            rti1516e::InTimeAdvancingState,
-                                                                            rti1516e::RequestForTimeRegulationPending,
-                                                                            rti1516e::RequestForTimeConstrainedPending,
-                                                                            rti1516e::FederateNotExecutionMember,
-                                                                            rti1516e::SaveInProgress,
-                                                                            rti1516e::RestoreInProgress,
-                                                                            rti1516e::NotConnected,
-                                                                            rti1516e::RTIinternalError);
+    timeAdvanceRequestAvailable(rti1516e::LogicalTime const& theTime);
 
     // 8.10
     virtual void
-    nextMessageRequest(rti1516e::LogicalTime const& theTime) throw(rti1516e::InvalidLogicalTime,
-                                                                   rti1516e::LogicalTimeAlreadyPassed,
-                                                                   rti1516e::InTimeAdvancingState,
-                                                                   rti1516e::RequestForTimeRegulationPending,
-                                                                   rti1516e::RequestForTimeConstrainedPending,
-                                                                   rti1516e::FederateNotExecutionMember,
-                                                                   rti1516e::SaveInProgress,
-                                                                   rti1516e::RestoreInProgress,
-                                                                   rti1516e::NotConnected,
-                                                                   rti1516e::RTIinternalError);
+    nextMessageRequest(rti1516e::LogicalTime const& theTime);
 
     // 8.11
     virtual void
-    nextMessageRequestAvailable(rti1516e::LogicalTime const& theTime) throw(rti1516e::InvalidLogicalTime,
-                                                                            rti1516e::LogicalTimeAlreadyPassed,
-                                                                            rti1516e::InTimeAdvancingState,
-                                                                            rti1516e::RequestForTimeRegulationPending,
-                                                                            rti1516e::RequestForTimeConstrainedPending,
-                                                                            rti1516e::FederateNotExecutionMember,
-                                                                            rti1516e::SaveInProgress,
-                                                                            rti1516e::RestoreInProgress,
-                                                                            rti1516e::NotConnected,
-                                                                            rti1516e::RTIinternalError);
+    nextMessageRequestAvailable(rti1516e::LogicalTime const& theTime);
 
     // 8.12
     virtual void
-    flushQueueRequest(rti1516e::LogicalTime const& theTime) throw(rti1516e::InvalidLogicalTime,
-                                                                  rti1516e::LogicalTimeAlreadyPassed,
-                                                                  rti1516e::InTimeAdvancingState,
-                                                                  rti1516e::RequestForTimeRegulationPending,
-                                                                  rti1516e::RequestForTimeConstrainedPending,
-                                                                  rti1516e::FederateNotExecutionMember,
-                                                                  rti1516e::SaveInProgress,
-                                                                  rti1516e::RestoreInProgress,
-                                                                  rti1516e::NotConnected,
-                                                                  rti1516e::RTIinternalError);
+    flushQueueRequest(rti1516e::LogicalTime const& theTime);
 
     // 8.14
-    virtual void enableAsynchronousDelivery() throw(rti1516e::AsynchronousDeliveryAlreadyEnabled,
-                                                    rti1516e::FederateNotExecutionMember,
-                                                    rti1516e::SaveInProgress,
-                                                    rti1516e::RestoreInProgress,
-                                                    rti1516e::NotConnected,
-                                                    rti1516e::RTIinternalError);
+    virtual void enableAsynchronousDelivery();
 
     // 8.15
-    virtual void disableAsynchronousDelivery() throw(rti1516e::AsynchronousDeliveryAlreadyDisabled,
-                                                     rti1516e::FederateNotExecutionMember,
-                                                     rti1516e::SaveInProgress,
-                                                     rti1516e::RestoreInProgress,
-                                                     rti1516e::NotConnected,
-                                                     rti1516e::RTIinternalError);
+    virtual void disableAsynchronousDelivery();
 
     // 8.16
-    virtual bool queryGALT(rti1516e::LogicalTime& theTime) throw(rti1516e::FederateNotExecutionMember,
-                                                                 rti1516e::SaveInProgress,
-                                                                 rti1516e::RestoreInProgress,
-                                                                 rti1516e::NotConnected,
-                                                                 rti1516e::RTIinternalError);
+    virtual bool queryGALT(rti1516e::LogicalTime& theTime);
 
     // 8.17
-    virtual void queryLogicalTime(rti1516e::LogicalTime& theTime) throw(rti1516e::FederateNotExecutionMember,
-                                                                        rti1516e::SaveInProgress,
-                                                                        rti1516e::RestoreInProgress,
-                                                                        rti1516e::NotConnected,
-                                                                        rti1516e::RTIinternalError);
+    virtual void queryLogicalTime(rti1516e::LogicalTime& theTime);
 
     // 8.18
-    virtual bool queryLITS(rti1516e::LogicalTime& theTime) throw(rti1516e::FederateNotExecutionMember,
-                                                                 rti1516e::SaveInProgress,
-                                                                 rti1516e::RestoreInProgress,
-                                                                 rti1516e::NotConnected,
-                                                                 rti1516e::RTIinternalError);
+    virtual bool queryLITS(rti1516e::LogicalTime& theTime);
 
     // 8.19
     virtual void
-    modifyLookahead(rti1516e::LogicalTimeInterval const& theLookahead) throw(rti1516e::TimeRegulationIsNotEnabled,
-                                                                             rti1516e::InvalidLookahead,
-                                                                             rti1516e::InTimeAdvancingState,
-                                                                             rti1516e::FederateNotExecutionMember,
-                                                                             rti1516e::SaveInProgress,
-                                                                             rti1516e::RestoreInProgress,
-                                                                             rti1516e::NotConnected,
-                                                                             rti1516e::RTIinternalError);
+    modifyLookahead(rti1516e::LogicalTimeInterval const& theLookahead);
 
     // 8.20
-    virtual void queryLookahead(rti1516e::LogicalTimeInterval& interval) throw(rti1516e::TimeRegulationIsNotEnabled,
-                                                                               rti1516e::FederateNotExecutionMember,
-                                                                               rti1516e::SaveInProgress,
-                                                                               rti1516e::RestoreInProgress,
-                                                                               rti1516e::NotConnected,
-                                                                               rti1516e::RTIinternalError);
+    virtual void queryLookahead(rti1516e::LogicalTimeInterval& interval);
 
     // 8.21
-    virtual void retract(rti1516e::MessageRetractionHandle theHandle) throw(rti1516e::InvalidMessageRetractionHandle,
-                                                                            rti1516e::TimeRegulationIsNotEnabled,
-                                                                            rti1516e::MessageCanNoLongerBeRetracted,
-                                                                            rti1516e::FederateNotExecutionMember,
-                                                                            rti1516e::SaveInProgress,
-                                                                            rti1516e::RestoreInProgress,
-                                                                            rti1516e::NotConnected,
-                                                                            rti1516e::RTIinternalError);
+    virtual void retract(rti1516e::MessageRetractionHandle theHandle);
 
     // 8.23
     virtual void changeAttributeOrderType(rti1516e::ObjectInstanceHandle theObject,
                                           rti1516e::AttributeHandleSet const& theAttributes,
-                                          rti1516e::OrderType theType) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                             rti1516e::AttributeNotDefined,
-                                                                             rti1516e::AttributeNotOwned,
-                                                                             rti1516e::FederateNotExecutionMember,
-                                                                             rti1516e::SaveInProgress,
-                                                                             rti1516e::RestoreInProgress,
-                                                                             rti1516e::NotConnected,
-                                                                             rti1516e::RTIinternalError);
+                                          rti1516e::OrderType theType);
 
     // 8.24
     virtual void changeInteractionOrderType(rti1516e::InteractionClassHandle theClass,
-                                            rti1516e::OrderType theType) throw(rti1516e::InteractionClassNotDefined,
-                                                                               rti1516e::InteractionClassNotPublished,
-                                                                               rti1516e::FederateNotExecutionMember,
-                                                                               rti1516e::SaveInProgress,
-                                                                               rti1516e::RestoreInProgress,
-                                                                               rti1516e::NotConnected,
-                                                                               rti1516e::RTIinternalError);
+                                            rti1516e::OrderType theType);
 
     //////////////////////////////////
     // Data Distribution Management //
